> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Plans API Endpoint

> This API endpoint allows retrieval of available plans.



## OpenAPI

````yaml get /api/plans/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/plans/:
    get:
      tags:
        - api
      summary: Get Available Plans API Endpoint
      description: This API endpoint allows retrieval of available plans.
      operationId: get_available_plans
      responses:
        '200':
          description: Successfully retrieved available plans
          content:
            application/json:
              schema:
                title: Available Plans
                type: array
                items:
                  title: Plan
                  type: object
                  properties:
                    subscription_start:
                      type: string
                    subscription_end:
                      type: string
                    subscription_visualizer:
                      type: string
                    subscription_credits:
                      type: integer
                    subscription_price:
                      type: number
                    can_upgrade:
                      type: boolean
                    can_downgrade:
                      type: boolean
                    can_add_credits:
                      type: boolean
                    expired:
                      type: boolean
                    remaining_time:
                      type: string
                    stripe_subscription_id:
                      type: string
                    disabled:
                      type: boolean
                  description: Plan OpenAPI Schema
              example:
                - subscription_start: '2021-01-01T00:00:00.000Z'
                  subscription_end: '2021-02-01T00:00:00.000Z'
                  subscription_visualizer: Default
                  subscription_credits: 0
                  subscription_price: 0
                  can_upgrade: false
                  can_downgrade: false
                  can_add_credits: false
                  expired: true
                  remaining_time: '-3yrs left'
                  stripe_subscription_id: sub_123
                  disabled: false
        '500':
          description: Failed to retrieve available plans
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````